Межсайтовый скриптинг в MediaWiki

Дата публикации:
03.10.2008
Всего просмотров:
1722
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MediaWiki 1.x
Уязвимые версии: MediaWiki версии до 1.12.1 и 1.13.2

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "useskin". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: wikipedia.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://lists.wikimedia.org/pipermail/mediawiki-announce/2008-October/000078.html
http://svn.wikimedia.org/svnroot/mediawiki/tags/REL1_12_1/phase3/RELEASE-NOTES

или введите имя

CAPTCHA